- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDMorphTarget Class Reference

A COLLADA morph target. More...

`#include <FCDMorphController.h>`

Inheritance diagram for FCDMorphTarget:

List of all members.

## Public Member Functions
| FCDMorphTarget (FCDocument *document, FCDMorphController *parent)
| Constructor: do not use directly.
virtual | ~FCDMorphTarget ()
| Destructor.
FCDMorphController * | GetParent ()
| Retrieves the morph controller which contains this target.
const FCDMorphController * | GetParent () const
| See above.
FCDGeometry * | GetGeometry ()
| Retrieves the target geometry.
const FCDGeometry * | GetGeometry () const
| See above.
void | SetGeometry (FCDGeometry *geometry)
| Sets the target geometry.
FCDParameterAnimatableFloat & | GetWeight ()
| Retrieves the morphing weight.
const FCDParameterAnimatableFloat & | GetWeight () const
| See above.
void | SetWeight (float _weight)
| Sets the morphing weight.
| DEPRECATED (3.05A, GetWeight().IsAnimated()) bool IsAnimated() const
| Retrieves whether the morphing weight is animated.
| DEPRECATED (3.05A, GetWeight().GetAnimated()) FCDAnimated *GetAnimatedWeight()
| Retrieves the animation associated with the morphing weight.
| DEPRECATED (3.05A, GetWeight().GetAnimated()) const FCDAnimated *GetAnimatedWeight() const
| See above.

## Detailed Description

A COLLADA morph target.

A morph target is just a geometric entity with a weight assigned. The weight may be animated.

## Constructor & Destructor Documentation

FCDMorphTarget::FCDMorphTarget | ( | FCDocument * | document,
|  | FCDMorphController * | parent
| ) |

  | Constructor: do not use directly. Instead, use the FCDMorphController::AddTarget function. Parameters:
  | document | The COLLADA document that owns the morph target.
  | parent | The morph controller that contains the morph target.

## Member Function Documentation

FCDMorphTarget::DEPRECATED | ( | 3. | 05A,
|  | GetWeight().GetAnimated() |
| ) |

| Retrieves the animation associated with the morphing weight. Returns: The animated value associated with the morphing weight. This pointer will be NULL if the morphing weight is not animated.

FCDMorphTarget::DEPRECATED | ( | 3. | 05A,
|  | GetWeight().IsAnimated() |
| ) | const

| Retrieves whether the morphing weight is animated. Returns: Whether the morphing weight is animated.

FCDGeometry* FCDMorphTarget::GetGeometry | ( |  | ) | `[inline]`

| Retrieves the target geometry. This is what the morphed geometry should look like if the morphing weight is set to 1.0f. Returns: The target geometry.

FCDMorphController* FCDMorphTarget::GetParent | ( |  | ) | `[inline]`

| Retrieves the morph controller which contains this target. Returns: The parent morpher.

FCDParameterAnimatableFloat& FCDMorphTarget::GetWeight | ( |  | ) | `[inline]`

| Retrieves the morphing weight. Returns: The morphing weight.

void FCDMorphTarget::SetGeometry | ( | FCDGeometry * | geometry | ) |

  | Sets the target geometry. This is what the morphed geometry should look like if the morphing weight is set to 1.0f. As such, the target geometry should be similar to the base target geometry. You can verify this using the FCDMorphController::IsSimilar function. Parameters:
  | geometry | The target geometry.

void FCDMorphTarget::SetWeight | ( | float | _weight | ) | `[inline]`

  | Sets the morphing weight. This function has no impact on any animations that target the morphing weight. Parameters:
  | _weight | The morphing weight.

The documentation for this class was generated from the following file:

- FCDocument/FCDMorphController.h